Bug 95627 - Ghost window after dragging a window to another desktop with special window settings
Summary: Ghost window after dragging a window to another desktop with special window s...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2004-12-22 12:29 UTC by Thomas McGuire
Modified: 2011-12-10 20:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas McGuire 2004-12-22 12:29:04 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

When Active Desktop Borders are enabled and a window has "force to desktop x" enabled in special window settings, dragging this window to another desktop results in that window being displayed on both desktops. After switching to another desktop and back, the second window disappears.

Active Desktop Borders should be disabled while moving a window which is forced to a specific desktop.
Comment 1 Lubos Lunak 2005-01-03 13:46:39 UTC
Forcing settings still needs some work - it usually only forces the value.
Comment 2 lexual 2010-01-23 12:56:48 UTC
Are Active Desktop Borders even available for kde4?
Comment 3 Thomas Lübking 2010-01-23 15:01:51 UTC
yes, as well as this bug (unless you use compositing)
Comment 4 Martin Flöser 2011-12-10 10:03:41 UTC
still valid with current master (4.8)
Comment 5 Thomas Lübking 2011-12-10 20:27:48 UTC
Git commit ff0cc660ce75e36b241cd5f9670d03d6b76698a5 by Thomas Lübking.
Committed on 10/12/2011 at 14:43.
Pushed by luebking into branch 'master'.

Obey forced desktop id on electricborder change

BUG: 95627
REVIEW: 103376

M  +4    -0    kwin/screenedge.cpp

http://commits.kde.org/kde-workspace/ff0cc660ce75e36b241cd5f9670d03d6b76698a5